summaryrefslogtreecommitdiff
path: root/tests/touch/no-create-missing.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/no-create-missing.sh')
-rwxr-xr-xtests/touch/no-create-missing.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/tests/touch/no-create-missing.sh b/tests/touch/no-create-missing.sh
new file mode 100755
index 000000000..88a079a01
--- /dev/null
+++ b/tests/touch/no-create-missing.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Ensure that touch -c no-such-file no longer fails (it did in 4.1.8).
+
+# Copyright (C) 2002-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ touch
+
+
+touch -c no-file > /dev/null 2>&1 || fail=1
+touch -cm no-file > /dev/null 2>&1 || fail=1
+touch -ca no-file > /dev/null 2>&1 || fail=1
+
+test="$abs_top_builddir/src/test"
+
+# If >&- works, test "touch -c -" etc.
+# >&- apparently does not work in HP-UX 11.23.
+# This test is ineffective unless /dev/stdout also works.
+if "$test" -w /dev/stdout >/dev/null &&
+ "$test" ! -w /dev/stdout >&-; then
+ touch -c - >&- 2> /dev/null || fail=1
+ touch -cm - >&- 2> /dev/null || fail=1
+ touch -ca - >&- 2> /dev/null || fail=1
+fi
+
+Exit $fail